package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class UtentiFunzioni.
 * @see sicura.entities.UtentiFunzioni
 * @author Hibernate Tools
 */
@Stateless
public class UtentiFunzioniHome {

	private static final Log log = LogFactory.getLog(UtentiFunzioniHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(UtentiFunzioni transientInstance) {
		log.debug("persisting UtentiFunzioni instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(UtentiFunzioni persistentInstance) {
		log.debug("removing UtentiFunzioni instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public UtentiFunzioni merge(UtentiFunzioni detachedInstance) {
		log.debug("merging UtentiFunzioni instance");
		try {
			UtentiFunzioni result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public UtentiFunzioni findById(Integer id) {
		log.debug("getting UtentiFunzioni instance with id: " + id);
		try {
			UtentiFunzioni instance = entityManager.find(UtentiFunzioni.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
